apt-get is a command-line interface to the Advanced Packaging Tool (apt) which is responsible for installing, removing, and upgrading packages.

learn more… | top users | synonyms

6
votes
1answer
5k views

installing the latest R version (2.13.0) on Ubuntu 11.04

I just upgraded my Ubuntu desktop 10.10 to 11.04. I everything works fine except when trying to update the current R 2.12.1 to R 2.13.0. I followed the readme: ...
15
votes
2answers
2k views

Why does apt-get sometimes asks for confirmation?

Sometimes it does this: After this operation, 713kB of additional disk space will be used. Do you want to continue [Y/n]? And sometimes not, and just assumes 'yes' and downloads automatically (I ...
0
votes
1answer
300 views

apt-get Syntax error: end of file unexpected

Trying to run any apt-get commands from the terminal gives me a syntax error. Synaptic and Software Center work fine (Ubuntu 13.04). For example: sudo apt-get install mpack /usr/bin/apt-get: 1: ...
5
votes
1answer
5k views

How do Ign and Hit affect apt-get update?

My understanding of Ign and Hit which are displayed in the output of the command apt-get update is that Hit: File found. No change in its timestamp and Ign: File ignored. No change in its content.. ...
3
votes
2answers
1k views

Failed to symbolic-link /boot/initrd.img-3.2.0-24-generic to initrd.img: File exists

Since running an upgrade today I am no longer able to use apt-get. Case in point: sudo apt-get install curl Reading package lists... Done Building dependency tree Reading state ...
0
votes
4answers
217 views

How to do sudo apt-get on an AIX machine

I don't understand this AIX. How do I do sudo apt-get on AIX? -bash-3.00$ sudo -bash: sudo: command not found -bash-3.00$ apt-get -bash: apt-get: command not found
0
votes
1answer
2k views

How to upgrade virtualbox 4.2 to 4.3 on debian wheezy with apt-get?

I'm running VirtualBox 4.2 and it keeps telling me that 4.3 is available for update. However when I do apt-get update and the apt-get upgrade I don't get any updates. My sources.list contains deb ...
0
votes
1answer
165 views

What do Inst and Conf refer to when using the command apt-get in Linux?

When I run the command apt-get install flashplugin-installer I am displayed the following lines of details Inst flashplugin-installer [11.2.202.233ubuntu0.11.04.3] (11.2.202.235ubuntu0.11.04.1 ...